Bug 457547 - Review Request: mediascrapper - A script to scrap media files from different sites
Review Request: mediascrapper - A script to scrap media files from different ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 09:29 EDT by kushaldas@gmail.com
Modified: 2013-03-13 01:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 14:15:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2008-08-01 09:29:40 EDT
Spec URL: http://kushal.fedorapeople.org/mediascrapper.spec
SRPM URL: http://kushal.fedorapeople.org/mediascrapper-0.1-1.fc9.src.rpm
Description: A script to scrap media files from different sites
Comment 1 Parag AN(पराग) 2008-08-04 06:31:40 EDT
will you please tell me how can I test package? any sample movie.txt you would like to provide here?
Comment 2 kushaldas@gmail.com 2008-08-04 07:28:33 EDT
(In reply to comment #1)
> will you please tell me how can I test package? any sample movie.txt you would
> like to provide here?

Put the following line in a movie.txt in the current folder

http://www.apunkabollywood.net/browser/category/view/3949/rock-on-(2008)
Comment 3 Rahul Sundaram 2008-08-05 10:36:12 EDT
Remove the sitearch macro definition and CFLAGS line. Those are not needed for a noarch package. Include a copy of the license under a file called COPYING. The license of the source should match the tag in the spec file. 

You might also want to move your project to fedorahosted.org and make the script more generic.
Comment 4 kushaldas@gmail.com 2008-08-06 12:53:55 EDT
(In reply to comment #3)
> Remove the sitearch macro definition and CFLAGS line. Those are not needed for
> a noarch package. Include a copy of the license under a file called COPYING.
> The license of the source should match the tag in the spec file. 
> 
> You might also want to move your project to fedorahosted.org and make the
> script more generic.

Spec URL: http://kushal.fedorapeople.org/packages/mediascrapper.spec
SRPM URL: http://kushal.fedorapeople.org/packages/mediascrapper-0.1-2.fc9.src.rpm

I will move the project under fedorahosted. The upcoming release will have feature to download photos from flickr
Comment 5 kushaldas@gmail.com 2008-08-06 13:03:28 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Remove the sitearch macro definition and CFLAGS line. Those are not needed for
> > a noarch package. Include a copy of the license under a file called COPYING.
> > The license of the source should match the tag in the spec file. 
> > 
> > You might also want to move your project to fedorahosted.org and make the
> > script more generic.
> 
> Spec URL: http://kushal.fedorapeople.org/packages/mediascrapper.spec
> SRPM URL:
> http://kushal.fedorapeople.org/packages/mediascrapper-0.1-2.fc9.src.rpm
> 
> I will move the project under fedorahosted. The upcoming release will have
> feature to download photos from flickr

Spec URL: http://kushal.fedorapeople.org/packages/mediascrapper.spec
SRPM URL:
http://kushal.fedorapeople.org/packages/mediascrapper-0.1-3.fc9.src.rpm
Comment 6 Rahul Sundaram 2008-08-06 14:00:59 EDT
Koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=763547

Remove the note on the specific website.

Approved.
Comment 7 kushaldas@gmail.com 2008-08-08 04:32:27 EDT
New Package CVS Request
=======================
Package Name: mediascrapper
Short Description: A script to scrap media files from different sites 
Owners: kushal
Branches: F-9 EL-5
InitialCC: kushal
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-08-09 21:10:36 EDT
cvs done.
Comment 9 Fedora Update System 2008-08-12 09:59:37 EDT
mediascrapper-0.1-3.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-09-10 02:54:39 EDT
mediascrapper-0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Christoph Wickert 2009-07-18 09:19:34 EDT
(In reply to comment #3)
> Include a copy of the license under a file called COPYING.
> The license of the source should match the tag in the spec file. 

Although this package is already in the repo for a while, the License tag is wrong. Should be GLPv2+ instead of GPLv2.
Comment 12 Christoph Wickert 2009-07-18 09:21:48 EDT
Kushal, please update the Source0 on your fedorapeople account to really match the one included in the package. TIA.

Note You need to log in before you can comment on or make changes to this bug.